Bug 456992 - vim documentation of init sequence does not correspond to reality
vim documentation of init sequence does not correspond to reality
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 00:05 EDT by Michal Jaegermann
Modified: 2009-12-21 23:59 EST (History)
0 users

See Also:
Fixed In Version: 7.2.315-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 11:12:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-07-29 00:05:53 EDT
Description of problem:

'man vim' says:

       /usr/share/vim/vimrc
                      System wide Vim initializations.

       ~/.vimrc       Your personal Vim initializations.

System wide initializations are actually read from /etc/vimrc
and ~/.vimrc is simply ignored, as it is easy to see by running
strace, even if other places in documentation and examples like
/usr/share/vim/vim71/vimrc_example.vim claim otherwise.

With strace one can find that there are attempts to read various
files in ~/.vim/ but what could be differences between those is
anybodys guess.

Version-Release number of selected component (if applicable):
vim-7.1.291-1.fc9
vim-7.1.245-1.fc8

How reproducible:
always
Comment 1 Bug Zapper 2009-06-09 22:16:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michal Jaegermann 2009-06-10 11:55:10 EDT
The described problem equally affects vim-enhanced-7.2.148-1.fc11 from the current rawhide, and vim-enhanced-7.2.148-1.fc10, so you can add f10, f11
and rawhide to a breakage list.
Comment 3 Bug Zapper 2009-11-16 03:10:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Michal Jaegermann 2009-12-02 12:09:34 EST
I tried that with vim-7.2.245-3.fc12.  There is some improvement because vim now indeed tries to read ~/.vimrc as it is claimed in a documentation that it would. But it searches for many files not mentioned at all (assorted files in various
subdirectories of ~/.vim/, and ~/_vimrc, and ~/.exrc).

Also manpage still says:

       /usr/share/vim/vimrc
                      System wide Vim initializations.
........
       /usr/share/vim/gvimrc
                      System wide gvim initializations.

but nothing like that exists and /etc/vimrc is read instead.  gvim attempts to look at /etc/gvimrc, which does not exist either, but luckily it checks with /etc/vimrc too.

In conclusion it seems to me that calling that ERRATA is wildly too optimistic.
Comment 5 Karsten Hopp 2009-12-02 12:32:40 EST
please wait for 7.2-314 or newer, I'm fixing bugs and close the bugzillas while doing that.
Comment 6 Fedora Update System 2009-12-03 09:28:49 EST
vim-7.2.315-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/vim-7.2.315-1.fc12
Comment 7 Fedora Update System 2009-12-03 09:29:30 EST
vim-7.2.315-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vim-7.2.315-1.fc11
Comment 8 Fedora Update System 2009-12-03 09:30:07 EST
vim-7.2.315-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vim-7.2.315-1.fc10
Comment 9 Fedora Update System 2009-12-21 23:43:02 EST
vim-7.2.315-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-12-21 23:58:48 EST
vim-7.2.315-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.